Expeditions Logistics

The aim of the operations is to provide information about expeditions for both direct and reverse logistics processes. Expeditions represent the shipment tracking and status of orders and pickups.


Parameters

Name In Type Required Description
orgId path string true Organization name as it is registered in Mas-Stack
size query integer true Page size
page query integer true Page number
sort query string false Sort value, multiple values allowed, separte with coma
from query string(date-time) false Date from (min) the creation of the expedition in ISO 8601 format and UTC
to query string(date-time) false Date to (max) the creation of the expedition in ISO 8601 format and UTC
order_id query string false Filter expeditions by order ID. Returns expeditions that contain at least one product from this order, including ALL products in those expeditions.

Enumerated Values

Property Values
sort one of [DATE_DESC, DATE_ASC]

Request example

1
2
3
4
5

curl -X GET https://logistics.sta.masstack.com/v2/orgs/yoigo/core/expeditions?size='100'&page='1'&sort='DATE_DESC'&from='2021-03-24T13:31:16.425Z'&to='2021-03-24T13:31:16.425Z'&order_id='order-12345'?size=100&page=1 \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {access-token}"

Responses

Code Meaning Description Schema
200 OK Success ArrayOfExpeditions
4XX Unknown Response for client error when some field in the request is missing or invalid. [Error]
5XX Unknown Response when an internal or unexpected error occurs. [Error]

Parameters

Name In Type Required Description
orgId path string true Organization name as it is registered in Mas-Stack
expedition_id path string true Internal logistics expedition id

Request example

1
2
3
4
5

curl -X GET https://logistics.sta.masstack.com/v2/orgs/yoigo/core/expeditions/a13a4674f6547447ff1f8813f33b5a90f6616ec2514e3f6e162acc5b88e9cfcb-R0 \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {access-token}"

Responses

Code Meaning Description Schema
200 OK Success Expedition
4XX Unknown Response for client error when some field in the request is missing or invalid. [Error]
5XX Unknown Response when an internal or unexpected error occurs. [Error]

Endpoints

Direct Logistics

    Reverse Logistics

      Expeditions Logistics

        External Logistic Operator

          Logistics Management